package com.ruoyi.common.constant;

/**
 * 岗检表枚举
 */
public enum PostCheckedEnum {


    //状态：0-待提交；1-待审核；3-通过；4-驳回；
    STATUS_WAIT_SUBMIT("待提交", 0),
    STATUS_WAIT("待审核", 1),
//    STATUS_ING("审核中", 2),
    STATUS_PASS("通过；", 3),
    STATUS_BACK("驳回；", 4),

    CHECKED_TYPE_ALL("检查类型：1-全要素；", 1),
    CHECKED_TYPE_CUSTOM("检查类型：2-自定义；", 2);



    private String name;
    private Integer value;

    PostCheckedEnum(String name, Integer value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }
}
